#####################################################
#        Epiphytic diatom community structure       #
#       and richness determined by algal host and   #
#         sampling location in the South            #
#           Shetland Islands (Antarctica)           #
#                                                   #
#   A. Burfeid-Castellanos, R. Martín, M. Kloster,  #
#    C. Angulo-Preckler, C. Avila & B. Beszteri     #
#                                                   #
#                   TERNARY PLOT                    #
#                                                   #
#####################################################


#Libraries
library(ggtern)
library(ggplot2)

#Setting working directory 
#setwd("C:/Users/Andrea/sciebo/Antarctica/Biigle results/Abundances")
setwd("set your directory here")

#Upload databases
tern<-read.table("Basibiont Ternary.txt", row.names = 1, header = T, sep = "\t")
t<-read.table("Total algae Basibiont Phylum.txt",row.names = 1, header = T, sep = "\t")
lt<-read.table("Livingston tern.txt",row.names = 1, header = T, sep = "\t")
dt<-read.table("Deception tern.txt",row.names = 1, header = T, sep = "\t")
lst<-read.table("Livingston short tern.txt",row.names = 1, header = T, sep = "\t")
dst<-read.table("Deception short tern.txt",row.names = 1, header = T, sep = "\t")

#Ternary plot all data
a<-ggtern(data=tern,aes(Chloro,Phaeo,Rhodo, label=rownames(tern), hjust=0, vjust=-1)) + 
  geom_mask() +
  geom_point(fill="red",shape=21,size=2) + 
  theme_bw() +
  theme_showarrows() +
  theme_clockwise()

a+geom_text()


#Ternary plot Livingston Island all diatom species

a<-ggtern(data=lt,aes(Chloro,Phaeo,Rhodo, label=rownames(lt))) + 
  geom_mask() +
  geom_point(fill="red",shape=21,size=2) + 
  theme_bw() +
  theme_showarrows() +
  theme_clockwise()

a+geom_text()

#Ternary plot Deception Island all diatom species
b<-ggtern(data=dt,aes(Bacil,Phaeo,Rhodo, label=rownames(dt))) + 
  geom_mask() +
  geom_point(fill="red",shape=21,size=2) + 
  theme_bw() +
  theme_showarrows() +
  theme_clockwise()
b+geom_text()

names(tot)



#Ternary plot Livingston Island predominant diatom species
a<-ggtern(data=lst,aes(Chloro,Phaeo,Rhodo, label=rownames(lst))) + 
  geom_mask() +
  geom_point(fill="red",shape=21,size=2) + 
  theme_bw() +
  theme_showarrows() +
  theme_clockwise()

a+geom_text()

#Ternary plot Deception Island predominant diatom species
b<-ggtern(data=dst,aes(Bacil,Phaeo,Rhodo, label=rownames(dst))) + 
  geom_mask() +
  geom_point(fill="red",shape=21,size=2) + 
  theme_bw() +
  theme_showarrows() +
  theme_clockwise()

b+geom_text()
